
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Redis核心知识之—— 时延问题分析及应对、性能问题和解决方法【★★★★★】 / iVAN</title>

    <meta name="description" content="Redis核心知识之—— 时延问题分析及应对、性能问题和解决方法【★★★★★】  参考网址: Redis时延问题分析及应对:http://www.cnblogs.com/me115/p/5032177.html Redis常见的性能问题和解决方法:http://www.searchdatabase.com.cn/showcontent_63439.htm Redis主从配置详细过程:http://sofar.blog.51cto.com/353572/861276   读后感: 1.在架构设计中,有&quot;分流&quot;一招,说的是将处理快的请求和处理慢的请求分离来开 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Redis核心知识之—— 时延问题分析及应对、性能问题和解决方法【★★★★★】</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h2> 参考网址：</h2>
<p>Redis时延问题分析及应对：<a href="http://www.cnblogs.com/me115/p/5032177.html" rel="external nofollow noreferrer">http://www.cnblogs.com/me115/p/5032177.html</a></p>
<p>Redis常见的性能问题和解决方法：<a href="http://www.searchdatabase.com.cn/showcontent_63439.htm" rel="external nofollow noreferrer">http://www.searchdatabase.com.cn/showcontent_63439.htm</a></p>
<p>Redis主从配置详细过程：<a href="http://sofar.blog.51cto.com/353572/861276" rel="external nofollow noreferrer">http://sofar.blog.51cto.com/353572/861276</a></p>
<p> </p>
<p>读后感：</p>
<p>1、在架构设计中，有“分流”一招，说的是将处理快的请求和处理慢的请求分离来开，否则，慢的影响到了快的，让快的也快不起来；这在redis的设计中体现的非常明显，redis的纯内存操作，epoll非阻塞IO事件处理，这些快的放在一个线程中搞定，而持久化，AOF重写、Master-slave同步数据这些耗时的操作就单开一个进程来处理，不要慢的影响到快的；</p>
<p>2、控制每个redis实例的最大内存量，一般建议不超过20G，可根据自己服务器的性能来确定（内存越大，持久化的时间越长，复制页表的时间越长，对事件循环的阻塞就延长） </p>
<p>     新浪微博给的建议是不超过20G，而我们虚机上的测试，要想保证应用毛刺不明显，可能得在10G以下；</p>
<p>3、master-slave：在主结点上开持久化，主结点不对外提供查询，查询由slave结点提供，从结点不提供持久化；这样，所有的fork耗时的操作都在主结点上，而查询请求由slave结点提供； </p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ184OWY3NTNmM2M3N2M1ZTM1NmMxMGQ1MTRmOWNiNGExYS5wbmc=.jpg"></p>
<p>简单的实现方案是主不具有可替代性，坏了之后，redis集群对外就只能提供读，而无法更新；待主结点启动后，再继续更新操作；对于之前的更新操作，可以用MQ缓存起来，等主结点起来之后消化掉故障期间的写请求；</p>
<p>4、子进程持久化时，子进程的write和主进程的fsync冲突造成阻塞</p>
<p>在开启了AOF持久化的结点上，当子进程执行AOF重写或者RDB持久化时，出现了Redis查询卡顿甚至长时间阻塞的问题, 此时, Redis无法提供任何读写操作；</p>
<p>原因分析： <br />Redis 服务设置了 appendfsync everysec, 主进程每秒钟便会调用 fsync(), 要求内核将数据”确实”写到存储硬件里. 但由于服务器正在进行大量IO操作, 导致主进程 fsync()/操作被阻塞, 最终导致 Redis 主进程阻塞.</p>
<p>当执行AOF重写时会有大量IO，这在某些Linux配置下会造成主进程fsync阻塞；</p>
<p><strong>解决方案：</strong> <br />设置 no-appendfsync-on-rewrite yes, 在子进程执行AOF重写时, 主进程不调用fsync()操作；注意, 即使进程不调用 fsync(), 系统内核也会根据自己的算法在适当的时机将数据写到硬盘(Linux 默认最长不超过 30 秒). <br />这个设置带来的问题是当出现故障时，最长可能丢失超过30秒的数据，而不再是1秒。</p>
<p><strong>解决方案：</strong> <br />将硬盘设置的足够大，将AOF重写的阈值调高，保证高峰期间不会触发重写操作；在闲时使用crontab 调用AOF重写命令；</p>
<p> </p>
<h1>Redis常见的性能问题和解决方法</h1>
<p>1.Master写内存快照，save命令调度rdbSave函数，会阻塞主线程的工作，当快照比较大时对性能影响是非常大的，会间断性暂停服务，所以Master最好不要写内存快照。<br />总结： 　　</p>
<p>1.Master最好不要做任何持久化工作，包括内存快照和AOF日志文件，特别是不要启用内存快照做持久化。 　　</p>
<p>2.如果数据比较关键，某个Slave开启AOF备份数据，策略为每秒同步一次。 　　</p>
<p>3.为了主从复制的速度和连接的稳定性，Slave和Master最好在同一个局域网内。 　　</p>
<p>4.尽量避免在压力较大的主库上增加从库 　　</p>
<p>5.为了Master的稳定性，主从复制不要用图状结构，用单向链表结构更稳定，即主从关系为：Master&lt;--Slave1&lt;--Slave2&lt;--Slave3.......，这样的结构也方便解决单点故障问题，实现Slave对Master的替换，也即，如果Master挂了，可以立马启用Slave1做Master，其他不变。</p>
<p> </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-22 02:56:08</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%90%8c%e6%ad%a5/" title="同步">同步</a>, <a href="https://www.iamivan.net/tag/%e6%80%a7%e8%83%bd/" title="性能">性能</a>, <a href="https://www.iamivan.net/tag/%e8%a7%a3%e5%86%b3%e6%96%b9%e6%a1%88/" title="解决方案">解决方案</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>, <a href="https://www.iamivan.net/tag/%e7%ba%bf%e7%a8%8b/" title="线程">线程</a>, <a href="https://www.iamivan.net/tag/redis/" title="redis">redis</a>, <a href="https://www.iamivan.net/tag/%e5%8d%95%e7%82%b9%e6%95%85%e9%9a%9c/" title="单点故障">单点故障</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Redis核心知识之—— 时延问题分析及应对、性能问题和解决方法【★★★★★】的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqLAAGb.html" rel="bookmark">Redis常见的性能问题和解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.Master写内存快照,save命令调度rdbSave函数,会阻塞主线程的工作,当 快照比较大时对性能影响是非常大的,会间断性暂停服务,所以Master最好不要 写内存快照. 2.Master AOF持久化,如果不重写AOF文件,这个持久化方 式对性能的影响是最小的,但是AOF文件会不断增大,AOF文件过大会影响Master 重启的恢复速度. 3.Master调用BGREWRITEAOF重写AOF文件,AOF在重写的 时候会占大量的CPU和内存资源,导致服务load过高,出现短暂服务暂停现象			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW2kNnb.html" rel="bookmark">《深入理解Spark&colon;核心思想与源码分析》&mdash;&mdash;2&period;2节Spark基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.2 Spark基础知识 1.版本变迁 经过4年多的发展,Spark目前的版本是1.4.1.我们简单看看它的版本发展过程. 1)Spark诞生于UCBerkeley的AMP实验室(2009). 2)Spark正式对外开源(2010年). 3)Spark 0.6.0版本发布(2012-10-15),进行了大范围的性能改进,增加了一些新特性,并对Standalone部署模式进行了简化. 4)Spark 0.6.2版本发布(2013-02-07),解决了一些bug,并增强了系统的可用性. 5)Spa			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/baBx7JM.html" rel="bookmark">深入理解Spark：核心思想与源码分析&period; 2&period;2　Spark基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.2 Spark基础知识 1.版本变迁 经过4年多的发展,Spark目前的版本是1.4.1.我们简单看看它的版本发展过程. 1)Spark诞生于UCBerkeley的AMP实验室(2009). 2)Spark正式对外开源(2010年). 3)Spark 0.6.0版本发布(2012-10-15),进行了大范围的性能改进,增加了一些新特性,并对Standalone部署模式进行了简化. 4)Spark 0.6.2版本发布(2013-02-07),解决了一些bug,并增强了系统的可用性. 5)Spa			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQrwXWM.html" rel="bookmark">《深入理解SPARK：核心思想与源码分析》一书正式出版上市</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				自己牺牲了7个月的周末和下班空闲时间,通过研究Spark源码和原理,总结整理的&lt;深入理解Spark:核心思想与源码分析&gt;一书现在已经正式出版上市,目前亚马逊.京东.当当.天猫等网站均有销售,欢迎感兴趣的同学购买.我开始研究源码时的Spark版本是1.2.0,经过7个多月的研究和出版社近4个月的流程,Spark自身的版本迭代也很快,如今最新已经是1.6.0.目前市面上另外2本源码研究的Spark书籍的版本分别是0.9.0版本和1.2.0版本,看来这些书的作者都与我一样,遇到了这种问题.由于研究和			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b32amWz.html" rel="bookmark">深入理解Spark：核心思想与源码分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				大数据技术丛书 深入理解Spark:核心思想与源码分析 耿嘉安 著 图书在版编目(CIP)数据 深入理解Spark:核心思想与源码分析/耿嘉安著. -北京:机械工业出版社,2015.12 (大数据技术丛书) ISBN 978-7-111-52234-8 I. 深- II.耿- III.数据处理软件 IV. TP274 中国版本图书馆CIP数据核字(2015)第280808号 深入理解Spark:核心思想与源码分析 出版发行:机械工业出版社(北京市西城区百万庄大街22号 邮政编码:100037)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK83lWM.html" rel="bookmark">深入理解Spark：核心思想与源码分析&period; 导读</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  大数据技术丛书   深入理解Spark:核心思想与源码分析 耿嘉安 著     Preface  前言 为什么写这本书 要回答这个问题,需要从我个人的经历说起.说来惭愧,我第一次接触计算机是在高三.当时跟大家一起去网吧玩CS,跟身边的同学学怎么&quot;玩&quot;.正是通过这种&quot;玩&quot;的过程,让我了解到计算机并没有那么神秘,它也只是台机器,用起来似乎并不比打开电视机费劲多少.高考填志愿的时候,凭着直觉&quot;糊里糊涂&quot;就选择了计算机专业.等到真正学习计算机课程的时			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnxdaAb.html" rel="bookmark">掌握HTML语言的核心知识 提高页面代码修改效率</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				做网站,HTML语言看似不重要,其实,恰恰越是基础的知识越是重要.站长做网站往往直接去网上下载一个CMS系统,然后上传安装便是,对于代码部分的修改却束手无策.其实方面的知识不难,只要我们平时多多地关注,多看一些相关的教程知识,相信对HTML语言会很快入门. 在这里,我简单地讲几个关键点,HTML语言的规则是由一对对的标签组成的,比如就是其中一种标签,&lt; /html&gt;所有的HTML页面都是由这样的形成构成的,当然其中还有其他的很多的标签对,大部分的标签只要有开始标签,就有结束标签,当然少数的标签			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYRXLQp.html" rel="bookmark">Redis基本知识、安装、部署、配置笔记</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了Redis基本知识.安装.部署.配置笔记,本文讲解了基本知识.安装Redis.Redis的配置等知识,需要的朋友可以参考下     基本知识 1.Redis的数据类型: 字符串.列表(lists).集合(sets).有序集合(sorts sets).哈希表(hashs) 2.Redis和memcache相比的独特之处: (1)redis可以用来做存储(storge).而memcache是来做缓存(cache).这个特点主要是因为其有&quot;持久化&quot;功能 (2)存储的数据有			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlBeyOz.html" rel="bookmark">《深入理解SPARK：核心思想与源码分析》（第1章）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				       自己牺牲了7个月的周末和下班空闲时间,通过研究Spark源码和原理,总结整理的&lt;深入理解Spark:核心思想与源码分析&gt;一书现在已经正式出版上市,目前亚马逊.京东.当当.天猫等网站均有销售,欢迎感兴趣的同学购买.我开始研究源码时的Spark版本是1.2.0,经过7个多月的研究和出版社近4个月的流程,Spark自身的版本迭代也很快,如今最新已经是1.6.0.目前市面上另外2本源码研究的Spark书籍的版本分别是0.9.0版本和1.2.0版本,看来这些书的作者都与我一样,遇到了这种问			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNLYyz.html" rel="bookmark" class="title">电子化的情绪版&colon;情绪版的操作方法流程</a>
					<div>
						文章描述:情绪版(Mood board)操作流程的新思考. 情绪版这种方法在国外的应用已经有一定的历史了,它诞生于上世纪的非信息时代,通常参与者被要求从日常的报刊杂志中挑选出符合&quot;某种心情意 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZ13Bp.html" rel="bookmark" class="title">深入研究SQL结构化查询语言中的LIKE语句</a>
					<div>
						语句 在SQL结构化查询语言中,LIKE语句有着至关重要的作用. LIKE语句的语法格式是:select * from 表名 where 字段名 like 对应值(子串),它主要是针对字符型字段的,它 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0bo41BM.html" rel="bookmark" class="title">除了使用hook外，下面的代码也能够在全局捕捉鼠标：&lpar;csdn&rpar;</a>
					<div>
						 dy_2000_abc(芝麻开门)  public class Form1 : System.Windows.Forms.Form,IMessageFilter    {        privat ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMR2DqM.html" rel="bookmark" class="title">标题优化不容忽视的关键词设置细节</a>
					<div>
						网站的标题关键词是写在html文件中部位的重要信息,虽然我们的头部信息不能完整的展示在访问用户的面前,但是标题关键词的设置却影响着我们整个网站页面的排名,是搜索引擎判断网站页面相关性的重要元素,可以看 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMg781M.html" rel="bookmark" class="title">组合营销软件PK  引发业内人士激辩</a>
					<div>
						传统与创新正面交锋 网络营销软件市场再掀战火 近日,关于组合营销软件与普通营销软件PK的话题沸沸扬扬. SKYCC组合营销软件一经问世就引起了业内人士的广泛关注.据介绍,这是全国首款组合营销软件,是一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2yA8Vz.html" rel="bookmark" class="title">Centos 6&period;0之mysql&plus;freeradiu实现帐号统一认证</a>
					<div>
						RADIUS:Remote Authentication Dial In User Service,远程用户拨号认证系统由RFC2865,RFC2866定义,是目前应用最广泛的AAA协议: RADIU ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91LN4M.html" rel="bookmark" class="title">ASP出现不能打开注册表关键字的解决教程</a>
					<div>
						  如果出现如下错误: Microsoft OLE DB Provider for ODBC Drivers 错误 '80004005' [Microsoft][ODBC Microsoft Acce ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4wKkqp.html" rel="bookmark" class="title">safari浏览器阅读模式在哪里</a>
					<div>
						  在iPhone.iPad等中,Safari是浏览器是iOS自带的一款优秀浏览器,相比什么UC.QQ浏览器等体验更为出色,正是因为如此,果粉们基本很少使用第三方浏览器.今天,小编主要分享一个Safa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2E2Jb.html" rel="bookmark" class="title">Photoshop给草原上的人物加上魔幻的蓝紫色</a>
					<div>
						  素材图片意境非常好,很适合魔幻色彩.调色的时候用调色工具快速把草地颜色转为蓝紫色;然后给高光区域增加淡蓝色;再更换一下天空,渲染一些高光;最后把整体柔化处理即可. 原图 最终效果 1.打开原图素材 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNmQoM.html" rel="bookmark" class="title">迅雷快传申请提高权限</a>
					<div>
						  在开通版主权限之后,您可以移动鼠标停放在右上角昵称处查看您目前的积分:将会出现&quot;申请提高权限&quot;文字链=&gt;点击后打开进入申请弹窗=&gt;填写您想申请提升的权限及幅度.提升 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7Yw6b.html" rel="bookmark" class="title">NTFS分区的磁盘配额管理基本设置</a>
					<div>
						  在Windows资源管理器中,以NTFS分区C盘设置为例,在C盘根目录右击执行[属性]命令,在对话框中单击[配额]选项卡,如图1所示. 单击选中[启用配额管理(E)].[拒绝将磁盘空间给超过配额限 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYReXVp.html" rel="bookmark" class="title">戴尔Venue 11 Pro测评</a>
					<div>
						  Windows 8有一个更好的地方在于,它支持更多的屏幕尺寸,不仅仅有原来版本Windows的13英寸.15英寸和17英寸,还有8英寸.11英寸,甚至12.5英寸和14英寸的屏幕也都能很好的承载. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lBE3b.html" rel="bookmark" class="title">DedeCMS中用到的字符编码转换1</a>
					<div>
						PHP自带的iconv和mbstring库都可以完成这项工作,但一般的虚拟主机很少支持 其中的全局变量在include/common.inc.php 库文件在include/data下 Java代码  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NWVDz.html" rel="bookmark" class="title">js中&equals;&equals;和&equals;&equals;&equals;的区别</a>
					<div>
						前两天遇到一道面试题,甚为不解,于是学习了下. 题目: &lt;script&gt; var x=5 ; var y='5' ; alert(x == y) ; alert(x !== y) ; al ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqADYOM.html" rel="bookmark" class="title">spring-LOG4j配置启动TOMCAT错误</a>
					<div>
						问题描述 LOG4j配置启动TOMCAT错误 &lt;?xml version=&quot;&quot;1.0&quot;&quot; encoding=&quot;&quot;UTF-8&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxe8vb.html" rel="bookmark" class="title">Kik、米聊、微信、Kiki大评测</a>
					<div>
						Kik.米聊.微信.Kiki这些基于手机通讯录的短信聊天软件,是采用无线网络来实现短信功能的,只消耗网络流量,运营商将不再收取短信资费.无线网络有GPRS.3G.CMWAP.WiFi等制式,对于常见的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOma3kM.html" rel="bookmark" class="title">成败皆萧何：苹果与谷歌的文化之咒</a>
					<div>
						文化方面对后世有重要影响的书里面,Edgar Schein的&lt;组织文化与领导力&gt;算一本.Schein在前言里面是这么说的:可能文化这个概念最吸引人的地方就在于,它将我们指向表面之下的现象, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKKDdb.html" rel="bookmark" class="title">hadoop集群环境的搭建</a>
					<div>
						       今天终于把hadoop集群环境给搭建起来了,能够运行单词统计的示例程序了. 集群信息如下: 主机名 Hadoop角色 Hadoop jps命令结果 Hadoop用户 Hadoop安装目录 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNj8aoM.html" rel="bookmark" class="title">CYQ&period;Data 轻量数据层之路 使用篇二曲 MAction 数据查询&lpar;十三&rpar;</a>
					<div>
						上一篇:CYQ.Data 轻量数据层之路 使用篇一曲 裸身走天涯(十二)   前言说明: 本篇继续上一篇内容,本节介绍所有相关查询的使用. 主要内容提要:1:单行数据操作 Fill 操作 GetCou ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqR1xYp.html" rel="bookmark" class="title">java mysql-求一个java&plus;mysql编写的银行账户管理系统</a>
					<div>
						问题描述 求一个java+mysql编写的银行账户管理系统 用java链接mysql 编写的一个银行账户管理系统,里面有两个模块:管理员和用户模块,管理员可以给用户开户查询所有用户信息,用户可以存取款 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkeKa1b.html" rel="bookmark" class="title">算法的简单介绍</a>
					<div>
						             做了这么久的大数据分析师,我不是最专业的,但我在成为最专业.更专业的道路上.         每每有很多人问我,你是如何转行的?算法容易吗?大数据分析师怎么样?其实,我总觉得 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXYoOz.html" rel="bookmark" class="title">ifstream-c&plus;&plus; io流的read函数实际读取的字节数</a>
					<div>
						问题描述 c++ io流的read函数实际读取的字节数 用c++io类,ifstream,读取二进制文件,用read函数时,怎么得到实际读取的字节数? 比如ifstream in(&quot;a.jp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEaAkM.html" rel="bookmark" class="title">c语言-C语言问题 感觉自己是对的  但提交后总 Runtime error</a>
					<div>
						问题描述 C语言问题 感觉自己是对的 但提交后总 Runtime error 描述: 已知a.b和c三个递增有序的链表,现在要求对a做如下操作:删除其中既即在b中出现又在c中出现的元素(注意同一表中的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwZ2VM.html" rel="bookmark" class="title">4399事件&mdash;&mdash;谈谈创业者与股权斗争</a>
					<div>
						最近这段时间,关于 4399 原骨干成员曹政与大股东蔡文胜之间的股权争斗闹的如火如荼. 仔细了解一下,不难发现在周围创业公司中,从开始创业到整体的资本操作,身为创业股东却提前离开的现象并不少见.而这些 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZK5kp.html" rel="bookmark" class="title">x265探索与研究（三）：如何播放&ast;&period;265格式的视频或解码视频流</a>
					<div>
						如何播放*.265格式的视频或解码视频流               如下图,在得到.265格式的视频或视频流后应如何播放265格式的视频呢?本博文总结出5种播放265格式视频或视频流的基本方法. 方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnvk0M.html" rel="bookmark" class="title">微信VS微博 直播大战一触即发？</a>
					<div>
						近日有消息称,腾讯除已投资.自建的直播平台外,微信事业部未来也将进军直播业务,甚至传称正在筹划相关工作.根据2016年4月艾媒咨询发布的研究报告显示,2015年中国视频直播平台数量接近200家,其中网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNnDKdM.html" rel="bookmark" class="title">objective c-从view1中修改view2的UItextField</a>
					<div>
						问题描述 从view1中修改view2的UItextField 在ViewController中,修改SecondViewController的UITextView.text 如果它是NSString ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8YWq4z.html" rel="bookmark" class="title">英雄联盟测试服：索拉卡再改 众多英雄模型升级</a>
					<div>
						http://www.aliyun.com/zixun/aggregation/6717.html&quot;&gt;英雄联盟测试服:索拉卡再改 众多英雄模型升级 13日测试服更新,之前上线的索拉卡和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2k8mM.html" rel="bookmark" class="title">救急 救急  c&num;  gridview问题！！！！</a>
					<div>
						问题描述 救急 救急 c# gridview问题!!!! gridview我绑定了整张表 //绑定 public void bind() { string sqlstr = &quot;select  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXKnN5M.html" rel="bookmark" class="title">开源IaaS ZStack本地存储使用手册</a>
					<div>
						本地存储(Local Storage)是继NFS主存储.iSCSI主存储之后ZStack支持的第三类主存储.本地存储相比网络共享存储而言,更轻量.更方便(甚至在网络速度和网络存储性能不佳的情况下,本地 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.037 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
